Migrate User
Add a customer to any mango arbitrarily. The behaviour is the same as the "Add Customer" option on the customers page in the TagMango dashboard.
Important Notes
name,email,phone, andmangoIdare required- If both
validityDaysandvalidUntilare provided,validUntiltakes precedence - If
dialCodeis provided, it takes priority overcountryfor determining the phone dial code
Authorization
apiKey Your TagMango API key from Dashboard > Automation > Platform Integrations
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://api-prod-new.tagmango.com/integration/action/migrate-user" \ -H "Content-Type: application/json" \ -d '{ "name": "John Doe", "email": "john@example.com", "phone": 1900118822, "mangoId": "66d0493aa0d85045eefbea89" }'{
"code": 0,
"type": "OK",
"message": "Successfully loaded data",
"result": {
"name": "John Doe",
"email": "john@example.com",
"phone": "1234567890",
"country": "IN",
"status": "Success",
"orderId": "634fc35ddaf58580e2418c40",
"subscriptionId": "634fc35ddaf58580e2418c40",
"userId": "634fc35ddaf58580e2418c40",
"errorMessage": "None"
}
}{
"code": 500,
"type": "InternalServerError",
"message": "Something went wrong",
"result": null
}